Skip to content

upsertInspectionDocument

WRITE

Upsert inspection document.

POST /api/v1/quality/upsertInspectionDocument
curl -X POST '<your-host>/api/v1/quality/upsertInspectionDocument' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "partId": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "partId": {
      "type": "string",
      "minLength": 1
    },
    "drawingNumber": {
      "type": "string"
    },
    "pdfUrl": {
      "type": "string"
    },
    "annotations": {
      "type": "string"
    },
    "features": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "pageCount": {
      "type": "number"
    },
    "defaultPageWidth": {
      "type": "number"
    },
    "defaultPageHeight": {
      "type": "number"
    }
  },
  "required": [
    "partId"
  ]
}